/*
 * Decompiled with CFR 0.152.
 * 
 * Could not load the following classes:
 *  com.audinate.exception.AudinateException
 *  com.audinate.gui.themes.ThemeSelector
 *  com.audinate.gui.themes.ThemedImage
 */
package com.audinate.gui.util;

import com.audinate.exception.AudinateException;
import com.audinate.gui.themes.ThemeSelector;
import com.audinate.gui.themes.ThemedImage;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.UIManager;

public class ImageLibrary {
    private HashMap<String, ThemedImage> mThemedImages = new HashMap();
    private HashMap<String, ThemedImage[]> mThemedImageSets = new HashMap();

    public static Image getSafeThemedImage(ThemedImage themedImage) {
        if (themedImage == null) {
            return null;
        }
        return themedImage.getImage();
    }

    public static Icon getSafeThemedIcon(ThemedImage themedImage) {
        if (themedImage == null) {
            return null;
        }
        return themedImage.getIcon();
    }

    public ThemedImage getImage(String string) {
        ThemedImage themedImage = this.mThemedImages.get(string);
        if (themedImage == null) assert (false);
        return themedImage;
    }

    public ThemedImage[] getImageSet(Object object) {
        ThemedImage[] themedImageArray = this.mThemedImageSets.get(object);
        if (themedImageArray == null) assert (false);
        return themedImageArray;
    }

    public ArrayList<ThemedImage> getImageList(Object object) {
        ThemedImage[] themedImageArray = this.mThemedImageSets.get(object);
        if (themedImageArray == null) assert (false);
        ArrayList<ThemedImage> arrayList = new ArrayList<ThemedImage>();
        for (int i = 0; i < themedImageArray.length; ++i) {
            arrayList.add(themedImageArray[i]);
        }
        return arrayList;
    }

    private static ThemedImage loadThemedImageHelper(String string, String string2) throws AudinateException {
        ThemedImage themedImage = new ThemedImage();
        ThemeSelector.THEME_MAP.forEach((n, string3) -> {
            try {
                String string4 = string != null && !string.isEmpty() ? string + "/" + string3 + "/" + string2 : string3 + "/" + string2;
                ImageIcon imageIcon = ImageLibrary.loadImageHelper(string4);
                themedImage.addImageWithTheme(imageIcon, string3);
            }
            catch (AudinateException audinateException) {
                themedImage.addImageWithTheme(null, string3);
            }
        });
        return themedImage;
    }

    private static ImageIcon loadImageHelper(String string, String string2) throws AudinateException {
        String string3 = string != null && !string.isEmpty() ? string + "/" + string2 : string2;
        return ImageLibrary.loadImageHelper(string3);
    }

    private static ImageIcon loadImageHelper(String string) throws AudinateException {
        try {
            URL uRL = ClassLoader.getSystemResource(string);
            if (uRL != null) {
                return new ImageIcon(uRL);
            }
            File file = new File(string);
            if (file.exists()) {
                return new ImageIcon(file.toURI().toURL());
            }
            return null;
        }
        catch (IOException iOException) {
            throw new AudinateException((Throwable)iOException);
        }
    }

    public static ThemedImage loadThemedImageHelper(String string, String string2, String[] stringArray) throws AudinateException {
        ThemedImage themedImage = null;
        for (int i = 0; i < stringArray.length; ++i) {
            themedImage = stringArray[i] != null ? (string != null ? ImageLibrary.loadThemedImageHelper(stringArray[i] + "/" + string, string2) : ImageLibrary.loadThemedImageHelper(stringArray[i], string2)) : ImageLibrary.loadThemedImageHelper(string, string2);
            if (ImageLibrary.getSafeThemedImage(themedImage) != null) break;
        }
        if (ImageLibrary.getSafeThemedImage(themedImage) == null) {
            throw new AudinateException("Image " + string2 + " not found in locations:" + Arrays.toString(stringArray) + " with package " + string);
        }
        return themedImage;
    }

    public static ImageIcon loadImageHelper(String string, String string2, String[] stringArray) throws AudinateException {
        ImageIcon imageIcon = null;
        for (int i = 0; i < stringArray.length; ++i) {
            imageIcon = stringArray[i] != null ? (string != null ? ImageLibrary.loadImageHelper(stringArray[i] + "/" + string, string2) : ImageLibrary.loadImageHelper(stringArray[i], string2)) : ImageLibrary.loadImageHelper(string, string2);
            if (imageIcon != null) break;
        }
        if (imageIcon == null) {
            throw new AudinateException("Image " + string2 + " not found in locations:" + Arrays.toString(stringArray) + " with package " + string);
        }
        return imageIcon;
    }

    public void addImage(String string, ThemedImage themedImage) {
        this.mThemedImages.put(string, themedImage);
    }

    public void loadImages(String string, String string2, String string3, String[] stringArray) throws AudinateException {
        ThemedImage themedImage = ImageLibrary.loadThemedImageHelper(string2, string3, stringArray);
        this.mThemedImages.put(string, themedImage);
    }

    public void loadAnimatedImages(String string, String string2, String string3, String[] stringArray) throws AudinateException {
        ThemedImage themedImage = ImageLibrary.loadThemedImageHelper(string2, string3, stringArray);
        this.mThemedImages.put(string, themedImage);
    }

    public void loadUiImages(String string, String string2) throws AudinateException {
        Icon icon = UIManager.getIcon(string2);
        if (icon == null) {
            throw new AudinateException("No icon for UI key " + string2);
        }
        if (icon instanceof ImageIcon) {
            ThemedImage themedImage = new ThemedImage();
            themedImage.addImageWithTheme((ImageIcon)icon, "dark");
            themedImage.addImageWithTheme((ImageIcon)icon, "light");
            this.mThemedImages.put(string, themedImage);
        } else {
            BufferedImage bufferedImage = new BufferedImage(icon.getIconWidth(), icon.getIconHeight(), 6);
            ThemedImage themedImage = new ThemedImage();
            themedImage.addImageWithTheme(new ImageIcon(bufferedImage), "dark");
            themedImage.addImageWithTheme(new ImageIcon(bufferedImage), "light");
            this.mThemedImages.put(string, themedImage);
        }
    }

    public void loadScaled(String string, String string2, int n, int n2) {
        ThemedImage themedImage = this.mThemedImages.get(string);
        if (themedImage == null) {
            assert (false);
            return;
        }
        Image image = ImageLibrary.getSafeThemedImage(themedImage).getScaledInstance(n, n2, 4);
        if (image == null) {
            assert (false);
            return;
        }
        ThemedImage themedImage2 = new ThemedImage();
        themedImage2.addImageWithTheme(new ImageIcon(image), string2);
        this.mThemedImages.put(string2, themedImage2);
    }

    public void createIconImageSets(Object object, String[] stringArray) {
        ThemedImage[] themedImageArray = new ThemedImage[stringArray.length];
        for (int i = 0; i < stringArray.length; ++i) {
            if (stringArray[i] == null) continue;
            themedImageArray[i] = this.getImage(stringArray[i]);
        }
        this.mThemedImageSets.put(object.toString(), themedImageArray);
    }
}

